# index-updater.properties
# WARNING: defaults loaded from resource classpath:/defaults.properties

# override(s)
big_decimal.scale=20
big_decimal.tolerance=1e-6
#default.hostname=localhost
#default.ip_address=127.0.0.1
default.environment=prod
default.environment_dtp=prod
default.home_folder=/home/sophia/sophia-identification
log4j.configuration=${default.home_folder}/index-updater-log4j2.xml
aws.credentials=${default.home_folder}/AwsCredentials.properties


work_database=nosql_work_database
nosql_work_database.home_folder=${index_updater.local_folder}/work.nosql
nosql_work_database.page_size=32Mb
nosql_work_database.cache_size=4K
nosql_work_database.read_only=false

collecting_database=nosql_collecting_database
nosql_collecting_database.home_folder=${index_updater.local_folder}/siae.nosql
nosql_collecting_database.page_size=32Mb
nosql_collecting_database.cache_size=4K
nosql_collecting_database.read_only=false

document_store=nosql_document_store
nosql_document_store.home_folder=${index_updater.local_folder}/document.nosql
nosql_document_store.page_size=32Mb
nosql_document_store.cache_size=4K
nosql_document_store.read_only=false

iswc_index.home_folder=${index_updater.local_folder}/iswc.index
iswc_index.read_only=false

isrc_index.home_folder=${index_updater.local_folder}/isrc.index
isrc_index.read_only=false

title_index.home_folder=${index_updater.local_folder}/title.index
title_index.read_only=false

artist_index.home_folder=${index_updater.local_folder}/artist.index
artist_index.read_only=false


# index updater
#index_updater.locked=false
index_updater.heartbeat=100000
index_updater.bind_port=13132
index_updater.thread_count=4

# sqs
index_updater.sqs.max_messages_per_run=1
index_updater.sqs.max_polling_duration=4m40s
index_updater.sqs.sender_name=sophia-index-updater
index_updater.sqs.service_bus_queue=${default.environment}_service_bus
index_updater.sqs.to_process_queue=${default.environment}_to_process_core_index_updater
index_updater.sqs.started_queue=${default.environment}_started_core_index_updater
index_updater.sqs.completed_queue=${default.environment}_completed_core_index_updater
index_updater.sqs.failed_queue=${default.environment}_failed_core_index_updater

# json file(s) parsing
index_updater.local_folder=${default.home_folder}/index-updater-kb
index_updater.input.s3_folder_url=s3://siae-sophia-datalake/solr-dump/
index_updater.input.filter_regex=.*coreITACA_.*\\.json\\.gz
#index_updater.input.filter_regex=.*/2018_04_\\d{2}/coreITACA_.*\\.json\\.gz
index_updater.input.is_full_regex=.*coreITACA_Full_.*
index_updater.output.s3_folder_url=s3://siae-sophia-identification/${default.environment_dtp}/knowledge-base
#index_updater.upload_to_s3=false
index_updater.resume_file=${default.home_folder}/index-updater.resume
index_updater.latest_filename=_LATEST
index_updater.s3_retries=3

index_updater.origin=siae
index_updater.overwrite_existing=true
index_updater.include_origins=siae

# json fields
index_updater.field.code=codiceOpera
index_updater.field.original_title=titoloRicerca,titoloOT
index_updater.field.alternative_title=titoliAT,titoliAT_MCDEM,titoliAT_DRM
index_updater.field.author=ipi_name_autori
index_updater.field.composer=ipi_name_compositori
index_updater.field.performer=interpreti
index_updater.field.iswc=ISWC
index_updater.field.isrc=ISRC
index_updater.field.el=flag_el
index_updater.field.pd=flag_pd
index_updater.field.scope=ambito
index_updater.field.weight=rilevanza

# iswc index
index_updater.iswc.create=true

# isrc index
index_updater.isrc.create=true

# title index
#index_updater.title.spell_numbers=true
index_updater.title.create=true

# artist index
#index_updater.artist.spell_numbers=true
index_updater.artist.create=true





